## libimage-exif-perl 2.01

=== debian/changelog ===
libimage-exif-perl (2.01-3) unstable; urgency=medium

  * Team upload.
  * fix gcc15 build (Closes: #1097197)

 -- Victor Seva <vseva@debian.org>  Fri, 12 Sep 2025 09:38:04 +0200

libimage-exif-perl (2.01-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Set Testsuite header for perl package.

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.
  * Set Rules-Requires-Root: no.
  * Enable all hardening flags.

 -- gregor herrmann <gregoa@debian.org>  Sun, 31 Jul 2022 17:51:46 +0200

libimage-exif-perl (2.01-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: mention module name in long description, thanks to Artur
    R. Czechowski for the suggestion (closes: #531778).

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Email change: gregor herrmann -> gregoa@debian.org

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * New upstream release.
  * Drop do-not-link-with-libexif.patch, not needed anymore.
  * Disable EXIF_T_GPSIFD.patch.
  * Drop hashbang.patch, fix hashbang via debian/rules.
  * Add new spelling.patch.
  * Use debhelper >= 9 and tiny debian/rules.
  * debian/copyright: update to Copyright-Format 1.0, and update copyright
    information.
  * Bump Standards-Version to 3.9.3; remove version from perl build
    dependency.
  * Remove section from binary package stanza in debian/control.

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 May 2012 19:48:57 +0200

libimage-exif-perl (1.00.3-4) unstable; urgency=low

  The 'ready for perl 5.10' release.

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules:
    - remove directories only if they exist
    - move dh_clean before make distclean
    - create install-stamp target depending on build-stamp
    - use DESTDIR and PREFIX
    - remove commented out dh_calls
  * Set Standards-Version to 3.7.3 (no changes needed).
  * Set debhelper compatibility level to 6.
  * debian/watch: use dist-based URL.
  * Remove debian/docs, the installed README didn't contain useful
    information.
  * Remove debian/dirs; then we also don't have to delete the created
    unneeded directories later in debian/rules.
  * debian/copyright:
    - add generic upstream source location
    - list copyright/license for other copyright holders
    - change to new format
  * Separate patches out into EXIF_T_GPSIFD.patch and hashbang.patch; add
    quilt framework.

  [ Frank Lichtenheld ]
  * debian/rules: leave nostrip support to dh_strip

  [ Damyan Ivanov ]
  * debian/rules: more cleanup
    * -Wall is in $(CFLAGS) already. No need to add it to OPTIMIZE="..."
    * use $(TMP) as convenient shortcut to debian/lbimage-exif-perl
    * Do not ignore distclean errors
      + as upstream ships broker Makefile, before invoking $(MAKE) distclean,
        invoke $(PERL) Makefile.PL to re-generate Makefile.
    * remove unused dh_installdirs and dh_installman
    * move debian/libimage-exif-perl.examples's contents to arguments of
      dh_installexamples
  * add myself to Uploaders
  * invoke test suite
  * actually create install-stamp
  * add do-not-link-with-libexif.patch and remove libexif-dev from
    Build-Depedns. It seems this module does not use libexif at all

 -- Damyan Ivanov <dmn@debian.org>  Fri, 25 Jan 2008 12:34:34 +0200

libimage-exif-perl (1.00.3-3) unstable; urgency=low

  * New maintainer: Debian Perl Group.
  * Set debhelper compatibility level to 5.
  * Set Standards-Version to 3.7.2 (no changes needed).
  * Add watch file.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 13 Jan 2007 21:58:27 +0100

libimage-exif-perl (1.00.3-2) unstable; urgency=low

  * Rebuild against libexif12.
  * debian/control:
    + Build-Depend on libexif-dev (>= 0.6.12-1).
    + Bumped Standards-Version to 3.6.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Fri,  9 Sep 2005 10:31:35 +0200

libimage-exif-perl (1.00.3-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sun, 22 May 2005 11:37:22 +0200

libimage-exif-perl (0.99.4-3) unstable; urgency=low

  * debian/rules:
    + Build at -O2 again, now that gcc-3.3 has been fixed.

 -- Julien BLACHE <jblache@debian.org>  Fri,  1 Oct 2004 18:29:08 +0200

libimage-exif-perl (0.99.4-2) unstable; urgency=low

  * debian/rules:
    + Build at -O1 only, -O2 triggers a gcc bug on some architectures
    (closes: #269390).
  * Fixed "comment within comment" in jpeg.c.

 -- Julien BLACHE <jblache@debian.org>  Wed,  1 Sep 2004 11:53:50 +0200

libimage-exif-perl (0.99.4-1) unstable; urgency=low

  * New upstream release.
    + Fixes a segfault when processing several JPEG files in a row, and some of
      them do not have EXIF tags (closes: #265115).

 -- Julien BLACHE <jblache@debian.org>  Sun, 29 Aug 2004 21:09:08 +0200


