=== debian/control ===
Source: libimage-exif-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Damyan Ivanov <dmn@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               perl-xs-dev,
               perl:native
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libimage-exif-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libimage-exif-perl.git
Homepage: https://metacpan.org/release/Image-EXIF
Rules-Requires-Root: no

Package: libimage-exif-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl module to extract EXIF information from image files
 The Image::EXIF module allows you to extract EXIF information from your
 image files, especially photographs taken with a digital camera.
 .
 It supports some of the vendor extensions to the EXIF format used by
 some cameras.
