=== debian/watch ===
version=4
https://metacpan.org/release/Image-EXIF .*/Image-EXIF-v?@ANY_VERSION@@ARCHIVE_EXT@$
